Skip to main content
DELETE
/
themes
/
{slug}
Delete a theme
curl --request DELETE \
  --url https://registry.wp-content.io/themes/{slug} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://registry.wp-content.io/themes/{slug}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://registry.wp-content.io/themes/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "My Theme",
  "slug": "my-theme",
  "version": "1.0.0",
  "preview_url": "",
  "author": {
    "user_nicename": "acme",
    "profile": "",
    "avatar": "",
    "display_name": "ACME",
    "author": "ACME",
    "author_url": "https://example.com"
  },
  "tags": [],
  "screenshot_url": null,
  "rating": 0,
  "num_ratings": 0,
  "downloaded": 0,
  "homepage": "",
  "description": "",
  "requires": null,
  "requires_php": null,
  "download_link": "https://wp-content-staging.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.0-86869156b3b9fbffd6e69fa6cf49452a.zip",
  "last_updated": "2025-06-11",
  "last_updated_time": "2025-06-11 11:35:39",
  "creation_time": "2025-06-11 11:35:39",
  "is_commercial": false,
  "external_support_url": false,
  "is_community": false,
  "external_repository_url": ""
}
{
"status": 404,
"error": 404,
"messages": {
"error": "Theme not found."
}
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

slug
string
required

Slug of theme

Response

OK

The response is of type object.